Package org.codehaus.commons.compiler.util.iterator

# Class EnumerationIterator<T>

java.lang.Object
org.codehaus.commons.compiler.util.iterator.EnumerationIterator<T>

Type Parameters:
  `T` - The element type of the enumeration and the iterator

All Implemented Interfaces:
  `Iterator<T>`

public class EnumerationIterator<T> extends Object implements Iterator<T>
An `Iterator` that iterates over the elements of an `Enumeration`.

## Constructor Summary

Constructors
Constructor
Description
`EnumerationIterator(Enumeration<? extends T> e)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`T`
`next()`
`void`
`remove()`
Since `Enumeration`s don't support element removal, this method always throws an `UnsupportedOperationException`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### EnumerationIterator

public EnumerationIterator(Enumeration<? extends T> e)

## Method Details

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

### next

public T next()

Specified by:
  `next` in interface `Iterator<T>`

### remove

public void remove()
Since `Enumeration`s don't support element removal, this method always throws an `UnsupportedOperationException`.

Specified by:
  `remove` in interface `Iterator<T>`
See Also:
  - `Iterator.remove()`